Port changes and set executable bit

-Ports change from: https://github.com/microsoft/vscode-dev-containers/pull/1554
Sets all scripts as executable by default.
This commit is contained in:
Josh Spicer 2022-07-29 15:38:08 +00:00
parent 6191a2e5d5
commit 86eaacb47e
45 changed files with 27 additions and 1 deletions

0
src/anaconda/install.sh Normal file → Executable file
View file

0
src/azure-cli/install.sh Normal file → Executable file
View file

0
src/common/install.sh Normal file → Executable file
View file

0
src/desktop-lite/install.sh Normal file → Executable file
View file

0
src/docker-from-docker/install.sh Normal file → Executable file
View file

0
src/docker-in-docker/install.sh Normal file → Executable file
View file

0
src/dotnet/install.sh Normal file → Executable file
View file

0
src/git-lfs/install.sh Normal file → Executable file
View file

0
src/git/install.sh Normal file → Executable file
View file

0
src/github-cli/install.sh Normal file → Executable file
View file

0
src/go/install.sh Normal file → Executable file
View file

0
src/hugo/install.sh Normal file → Executable file
View file

0
src/java/install.sh Normal file → Executable file
View file

0
src/kubectl-helm-minikube/install.sh Normal file → Executable file
View file

0
src/node/install.sh Normal file → Executable file
View file

0
src/php/install.sh Normal file → Executable file
View file

0
src/powershell/install.sh Normal file → Executable file
View file

0
src/ruby/install.sh Normal file → Executable file
View file

28
src/rust/install.sh Normal file → Executable file
View file

@ -94,6 +94,25 @@ find_version_from_git_tags() {
echo "${variable_name}=${!variable_name}"
}
check_nightly_version_formatting() {
local variable_name=$1
local requested_version=${!variable_name}
if [ "${requested_version}" = "none" ]; then return; fi
local version_date=$(echo ${requested_version} | sed -e "s/^nightly-//")
date -d ${version_date} &>/dev/null
if [ $? != 0 ]; then
echo -e "Invalid ${variable_name} value: ${requested_version}\nNightly version should be in the format nightly-YYYY-MM-DD" >&2
exit 1
fi
if [ $(date -d ${version_date} +%s) -ge $(date +%s) ]; then
echo -e "Invalid ${variable_name} value: ${requested_version}\nNightly version should not exceed current date" >&2
exit 1
fi
}
updaterc() {
if [ "${UPDATE_RC}" = "true" ]; then
echo "Updating /etc/bash.bashrc and /etc/zsh/zshrc..."
@ -159,7 +178,14 @@ else
apt_get_update_if_needed
apt-get -y install --no-install-recommends git
fi
find_version_from_git_tags RUST_VERSION "https://github.com/rust-lang/rust" "tags/"
echo ${RUST_VERSION} | grep -q "nightly"
is_nightly=$?
if [ $is_nightly = 0 ]; then
check_nightly_version_formatting RUST_VERSION
else
find_version_from_git_tags RUST_VERSION "https://github.com/rust-lang/rust" "tags/"
fi
default_toolchain_arg="--default-toolchain ${RUST_VERSION}"
fi
echo "Installing Rust..."

0
src/sshd/install.sh Normal file → Executable file
View file

0
src/terraform/install.sh Normal file → Executable file
View file

0
test/anaconda/test.sh Normal file → Executable file
View file

0
test/aws-cli/test.sh Normal file → Executable file
View file

0
test/azure-cli/test.sh Normal file → Executable file
View file

0
test/common/test.sh Normal file → Executable file
View file

0
test/desktop-lite/test.sh Normal file → Executable file
View file

0
test/docker-from-docker/test.sh Normal file → Executable file
View file

0
test/docker-in-docker/test.sh Normal file → Executable file
View file

0
test/dotnet/test.sh Normal file → Executable file
View file

0
test/git-lfs/test.sh Normal file → Executable file
View file

0
test/git/test.sh Normal file → Executable file
View file

0
test/github-cli/test.sh Normal file → Executable file
View file

0
test/go/test.sh Normal file → Executable file
View file

0
test/hugo/test.sh Normal file → Executable file
View file

0
test/java/test.sh Normal file → Executable file
View file

0
test/kubectl-helm-minikube/test.sh Normal file → Executable file
View file

0
test/node/test.sh Normal file → Executable file
View file

0
test/oryx/test.sh Normal file → Executable file
View file

0
test/php/test.sh Normal file → Executable file
View file

0
test/powershell/test.sh Normal file → Executable file
View file

0
test/python/test.sh Normal file → Executable file
View file

0
test/ruby/test.sh Normal file → Executable file
View file

0
test/rust/test.sh Normal file → Executable file
View file

0
test/sshd/test.sh Normal file → Executable file
View file

0
test/terraform/test.sh Normal file → Executable file
View file